List Rooms
curl --request GET \
--url https://api.pagecall.com/v1/rooms \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pagecall.com/v1/rooms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pagecall.com/v1/rooms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rooms": [
{
"id": "000585f36eed9e8fb6b655b4",
"type": "private",
"name": "Monthly Meeting Room with Design Class"
},
{
"id": "000235f36efd9e8db6bc55b4",
"type": "public",
"name": "Daily Meet"
},
{
"id": "000935fc6efd9f8db61c35b4",
"type": "open",
"name": "Free Disgn Class"
}
],
"paging": {
"limit": 30,
"offset": 0,
"total": 0
}
}Room Endpoints
List Rooms
List all accessible rooms
GET
/
rooms
List Rooms
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of items to skip before starting to collect the result set
The numbers of items to return
Exact name of the room to search.
Layout name to search.
Filter rooms by their termination status
Response
Successful operation
Show child attributes
Show child attributes
Example:
[
{
"id": "000585f36eed9e8fb6b655b4",
"type": "private",
"name": "Monthly Meeting Room with Design Class"
},
{
"id": "000235f36efd9e8db6bc55b4",
"type": "public",
"name": "Daily Meet"
},
{
"id": "000935fc6efd9f8db61c35b4",
"type": "open",
"name": "Free Disgn Class"
}
]
Details of pagination used for current responses.
Show child attributes
Show child attributes
⌘I

